 MathJax.Hub.Config({
   showProcessingMessages: false,
   messageStyle: "none",
   tex2jax: {
     inlineMath: [ ['$','$'], ["\\(","\\)"] ],
     processEscapes: true
   },
   TeX: {
     MultLineWidth: "100%",
     equationNumbers: { autoNumber: "AMS" }
   },
   "HTML-CSS": { fonts: ["Latin-Modern"] }
 });

MathJax.Hub.Queue(function() {
  // Fix <code> tags after MathJax finishes running. This is a
  // hack to overcome a shortcoming of Markdown. Discussion at
  // https://github.com/mojombo/jekyll/issues/199
  var all = MathJax.Hub.getAllJax(), i;
  for(i = 0; i < all.length; i += 1) {
      all[i].SourceElement().parentNode.className += ' has-jax';
  }
});

MathJax.Hub.Config({
// Autonumbering by mathjax
TeX: { equationNumbers: { autoNumber: "AMS" } }
});

MathJax.Hub.Register.StartupHook("TeX Jax Ready",function () {
  var TEX = MathJax.InputJax.TeX;
  var PREFILTER = TEX.prefilterMath;
  TEX.Augment({
    prefilterMath: function (math,displaymode,script) {
      if (!displaymode) {math = "\\small{"+math+"}"}
      return PREFILTER.call(TEX,math,displaymode,script);
    }
  });
});
