//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/OffSpecularInstrumentEditor.h
//! @brief     Defines class OffSpecularInstrumentEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECULARINSTRUMENTEDITOR_H
#define BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECULARINSTRUMENTEDITOR_H

#include <QWidget>

class OffSpecularInstrumentItem;

class OffSpecularInstrumentEditor : public QWidget {
    Q_OBJECT

public:
    OffSpecularInstrumentEditor(QWidget* parent, OffSpecularInstrumentItem* instrument);

signals:
    void dataChanged();
};

#endif // BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECULARINSTRUMENTEDITOR_H
