+++
title = "2D sum of rotated square lattices"
weight = 30
+++

### Interference - Superposition of Square Lattices

This example demonstrates how to perform a simulation of scattering from cylinders
positioned in one out of a distribution of rotated square lattices.

This example is similar to [Interference of a rotated square lattice]({{% ref-py "sample/interference/lattice2d/interference-2d-rotated-square-lattice" %}}).

{{< galleryscg >}}
{{< figscg src="/files/simulated/Interference2DLatticeSumOfRotated.png" width="4500px" caption="Intensity image">}}
{{< /galleryscg >}}

{{< highlightfile file="Examples/scatter2d/disabled/Interference2DLatticeSumOfRotated.py" >}}
