+++
title = "GISAS without reflection"
weight = 10
+++

## GISAS without reflection

This example shows scattering
from a monolayer that contains a dilute random assembly
of monodisperse cylindrical disks.

This is the same system as in our [basic GISAS example]({{% ref-py "simulation/gisas" %}})
except that there is no substrate.
In consequence, there are no reflections,
and therefore the DWBA boils down to the ordinary Born approximation.

{{< galleryscg >}}
{{< figscg src="CylindersInBA_setup.jpg" width="350px" caption="Real-space model">}}
{{< figscg src="/files/simulated/CylindersInBA.png" width="350px" caption="Intensity image">}}
{{< /galleryscg >}}

{{< highlightfile file="Examples/scatter2d/CylindersInBA.py" >}}
